
Infrastructure - Story #2829

Structural changes to D1 Data Types schema for Version 2.0 release

2012-05-30 12:23 - Dave Vieglais

Status: Closed Start date: 2012-06-07

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

This story captures or cross references stories and tasks related to functional changes to the d1types schema. 

Such changes will not be released until well after public release unless there is a critical need.

Subtasks:

Task # 2871: Log Entry may need revision Rejected

Task # 2985: Should Nodes be required to have a subject? Closed

Task # 4173: ObjectFormat should include mimeType and extention Closed

Task # 3147: Different types of contactSubjects of NodeList Rejected

Task # 3754: Event enumeration of LogEntry changed to string type Closed

Task # 4027: Log Entry needs ObjectFormatType added Rejected

Task # 4214: PreferredMemberNode List should indicate ordinality Rejected

Task # 4258: Add Generic key/value element to Node Closed

Task # 6009: Node service registration Rejected

Task # 7128: Auto-generated MediaType java class doesn't reflect the xml schema definit... Closed

Related issues:

Related to Infrastructure - Story #3755: Structural changes to D1 APIs for 2.... Closed 2013-05-09 2015-01-06

Related to Infrastructure - Story #6038: DataONE API version 2 needs to be su... Closed 2014-08-12 2015-01-06

History

#1 - 2012-06-07 16:21 - Robert Waltz

- Tracker changed from Task to Story

#2 - 2012-06-07 16:24 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.1

#3 - 2012-08-15 16:29 - Robert Waltz

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

#4 - 2012-08-29 17:56 - Robert Waltz

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.37-Block.5.3

#5 - 2012-09-18 17:03 - Robert Waltz

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#6 - 2012-09-26 16:52 - Robert Waltz

- Milestone changed from CCI-1.1 to CCI-1.2

#7 - 2012-10-08 16:44 - Robert Waltz

- Due date set to 2012-12-01
- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#8 - 2012-12-04 14:36 - Robert Waltz

- Start date deleted (2012-06-07)

- Due date deleted (2012-12-01)

- Milestone changed from CCI-1.2 to CCI-2.0

- Target version deleted (Sprint-2012.46-Block.6.3)

#9 - 2013-10-02 21:38 - Robert Waltz

- Product Version set to 2.0.0

#10 - 2014-01-06 22:39 - Robert Waltz

- Subject changed from Incorporate structural changes to d1types schema to Structural changes to D1 Data Types schema for Version 2.0 release

#11 - 2014-07-30 02:57 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder

#12 - 2014-10-01 16:57 - Robert Waltz

- Due date set to 2014-12-01

- Target version set to CCI-2.0.0

- Start date set to 2014-12-01

#13 - 2015-06-16 15:09 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.0-TRUNK

#14 - 2015-07-01 16:21 - Dave Vieglais

- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#15 - 2015-07-01 17:22 - Dave Vieglais

- Status changed from New to Closed

- % Done changed from 0 to 100
